Bug 8184 - Add gzip-rsyncable patch
: Add gzip-rsyncable patch
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gzip)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-10-11 03:05 by
Modified: 2017-03-21 11:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-11 03:05:52
Original patch:
http://ozlabs.org/~rusty/gzip.rsync.patch2

The pach adds an '--rsyncable' option for gzip, which allows to create rsyncable
compressed archives.
------- Comment #1 From 2005-10-11 04:00:56 -------
Reassigned to maintainer.
------- Comment #2 From 2010-03-08 14:41:01 -------
Какое у нас сейчас отношение к добавлению этого параметра? Может быть сделаем к
пятилетию баги?
У меня тут новый backupninja его использует...
------- Comment #3 From 2010-03-09 11:02:29 -------
А старый патч сейчас нормально накладывается? или может есть более новый? 
Именно с gzip у меня поблемы вроде не было после накладывания патча, но это
было давно.

Возможно, было бы еще неплохо для zlib такое сделать, но в свое время zlib у
меня не совсем корректно фунционировал после применения патча
(https://bugzilla.altlinux.org/8185)
------- Comment #4 From 2011-01-26 20:50:10 -------
А у меня новый vzdump тоже хоче этого патча!!!

# vzdump --compress --stop 1150
INFO: starting new backup job: vzdump --compress --stop 1150
INFO: Starting Backup of VM 1150 (openvz)
INFO: CTID 1150 exist mounted running
INFO: status = CTID 1150 exist mounted running
INFO: backup mode: stop
INFO: ionice priority: 7
INFO: stopping vm
INFO: Stopping container ...
INFO: Container was stopped
INFO: Container is unmounted
INFO: creating archive
'/var/lib/vz/dump/vzdump-openvz-1150-2011_01_26-19_30_47.tgz'
INFO: gzip: unrecognized option '--rsyncable'
INFO: Try `gzip --help' for more information.

Какие-то движения будут?
------- Comment #5 From 2011-01-26 21:00:24 -------
Боюсь, что проще сделать патч на vzdump
------- Comment #6 From 2011-03-10 10:17:26 -------
Предлагаю собрать отдельный пакет gzip-rsyncable и пропатчить клиентов.  Таким
образом получим некоторое ограниченное и более-менее легко идентифицируемое по
граблям тестирование и избежим рисков неожиданного широкого повреждения данных.
------- Comment #7 From 2013-06-02 22:24:53 -------
(В ответ на комментарий №6)
> Предлагаю собрать отдельный пакет gzip-rsyncable и пропатчить клиентов.  Таким
> образом получим некоторое ограниченное и более-менее легко идентифицируемое по
> граблям тестирование и избежим рисков неожиданного широкого повреждения данных.

Я тестирую на своих бакапах уже лет шесть. 
Во всяких редхатах оно с этим патчем изкаробки и еще ни одного котёнка не
умерло.

Незаменимая вещь для работы с xdelta!
сделайте уже пожалуйста....
------- Comment #8 From 2017-03-21 11:29:21 -------
gzip-1.8.0.20.82c6-alt1 -> sisyphus:

* Tue Mar 21 2017 Dmitry V. Levin <ldv@altlinux> 1.8.0.20.82c6-alt1
- gzip: v1.6-33-g6bfbf81 -> v1.8-20-g82c62a3 (closes: #8184).
- gzip-utils: added support for lz4, lzip, lzop, and zstd.
- gnulib: v0.1-585-g2fda85e -> v0.1-1209-g24b3216.

$ cat /usr/share/doc/gzip-*/NEWS |sed -n '/Noteworthy changes in release
1.7/,/Noteworthy changes in release 1.6/p' |sed -n '/New features/,/Bug
fixes/p' |grep -v '^\*\*'

  gzip now accepts the --synchronous option, which causes it to use
  fsync and similar primitives to transfer output data to the output
  file's storage device when the file system supports this.  Although
  this option makes gzip safer in the presence of system crashes, it
  can make gzip considerably slower.

  gzip now accepts the --rsyncable option. This option is accepted in
  all modes, but has effect only when compressing: it makes the resulting
  output more amenable to efficient use of rsync.  For example, when a
  large input file gets a small change, a gzip --rsyncable image of
  that file will remain largely unchanged, too.  Without --rsyncable,
  even a tiny change in the input could result in a totally different
  gzip-compressed output file.